interface Stop {
    publicDeparture?: string | null;
    wttDeparture?: string | null;
    publicArrival?: string | null;
    wttArrival?: string | null;
    isPublic: boolean;
    tiploc: string;
}

interface SimpleService {
        stpIndicator: string;
        trainUid: string;
        operator: string;
        stops: Stop[];
    }


interface Service {
    transactionType: string;
    stpIndicator: string;
    operator: string;
    trainUid: string;
    headcode: string;
    powerType: string;
    planSpeed: string;
    scheduleStartDate: Date;
    scheduleEndDate: Date;
    daysRun: string[];
    stops: Stop[];
    vstp: boolean;
}

export { Stop, Service, SimpleService }